Đến nội dung


Hình ảnh
- - - - -

[YÊU CẦU] sửa lisp đổi màu đối tượng


  • Please log in to reply
23 replies to this topic

#21 proconeng86

proconeng86

    biết lệnh break

  • Members
  • PipPipPipPip
  • 221 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 14 November 2014 - 11:43 AM

Sửa vậy nó đổi màu hết các item của Dim mất.

 

Bạn Ha nói mình mới để ý, đúng là nó đổi cả dim thành màu mình chọn nhỉ, tuy nhiên đường các đường gióng vẫn là màu dim của mình vì đường gióng là mình chọn màu cho nó trong dim là by layer mà, chỉ có dấu chấm chân dim bị đổi màu nhỉ. nói chung không ảnh hưởng lắm nhưng các bạn sửa lại chỉ đổi màu text trong dim thì lisp sẽ hoàn thiện hơn


  • 0

#22 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 14 November 2014 - 02:20 PM

Cách khác : 

(defun c:cl (/ m ss)
  (if (and (setq ss (ssget))
	   (setq m (acad_colordlg 7)))
    (foreach obj (mapcar 'vlax-ename->vla-object (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
      (if (wcmatch (vla-get-objectname obj) "*Dimension")
	(progn(vla-put-TextColor obj m)(vla-update obj))
	(vla-put-Color obj m)  )  )    )
  (princ))

  • 1

#23 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 14 November 2014 - 02:28 PM

Liệu có cần vla-update không nhỉ?


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#24 proconeng86

proconeng86

    biết lệnh break

  • Members
  • PipPipPipPip
  • 221 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 14 November 2014 - 07:57 PM

Cách khác : 

(defun c:cl (/ m ss)
  (if (and (setq ss (ssget))
	   (setq m (acad_colordlg 7)))
    (foreach obj (mapcar 'vlax-ename->vla-object (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
      (if (wcmatch (vla-get-objectname obj) "*Dimension")
	(progn(vla-put-TextColor obj m)(vla-update obj))
	(vla-put-Color obj m)  )  )    )
  (princ))

 

Lisp này là ngon lành rồi. 

Mình cám ơn nhiều nhé


  • 0